net.sf.jasperreports.engine.util

## Class JRElementsVisitor

- java.lang.Object
- - net.sf.jasperreports.engine.util.JRDelegationVisitor
  - - net.sf.jasperreports.engine.util.JRElementsVisitor

- All Implemented Interfaces:
    ElementsVisitor, JRVisitor

      public class JRElementsVisitor
      extends JRDelegationVisitor
      implements ElementsVisitor

  Report elements visitor. This class can be used to recursively visit all the elements of a report.
  Version:
    $Id: JRElementsVisitor.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRElementsVisitor(JRVisitor visitor)` Creates a report visitor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `visitBand(JRBand band)`
    `boolean` | `visitDeepElements()` Decides whether this visitor is to visit deep/nested elements.
    `protected void` | `visitElements(java.util.List<JRChild> elements)`
    `void` | `visitReport(JRReport report)` Visits all the elements of a report.
    `static void` | `visitReport(JRReport report, JRVisitor visitor)` Visits all the elements of a report.
    `protected void` | `visitSection(JRSection section)`

    - ### Methods inherited from class net.sf.jasperreports.engine.util.JRDelegationVisitor

      `getVisitor, visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitor

      `visitBreak, visitChart, visitComponentElement, visitCrosstab, visitElementGroup, visitEllipse, visitFrame, visitGenericElement, visitImage, visitLine, visitRectangle, visitStaticText, visitSubreport, visitTextField`

- - ### Constructor Detail

    - #### JRElementsVisitor

          public JRElementsVisitor(JRVisitor visitor)

      Creates a report visitor.
      Parameters:
        `visitor` - the elements visitor

  - ### Method Detail

    - #### visitReport

          public static void visitReport(JRReport report,
                         JRVisitor visitor)

      Visits all the elements of a report.
      Parameters:
        `report` - the report
        `visitor` - the element visitor

    - #### visitDeepElements

          public boolean visitDeepElements()

      Description copied from interface: `ElementsVisitor`
      Decides whether this visitor is to visit deep/nested elements.
      Specified by:
        `visitDeepElements` in interface `ElementsVisitor`
      Returns:
        whether this visitor is to visit deep/nested elements

    - #### visitReport

          public void visitReport(JRReport report)

      Visits all the elements of a report.
      Parameters:
        `report` - the report

    - #### visitSection

          protected void visitSection(JRSection section)

    - #### visitBand

          protected void visitBand(JRBand band)

    - #### visitElements

          protected void visitElements(java.util.List<JRChild> elements)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com